Required components to run GINT test scripts


The following are required to run tests using GINT.

  1. Java - Java 1.8 or higher is required. See Java install instructions if you don't already have it installed.
  2. Groovy 2.x is recommended. We currently build and test with Groovy 2.4.3. See Groovy install instructions.

  3. GANT version compatible with Groovy version, but at least GANT 1.9 or above. See GANT install instructions.
  4. GINT jar (gint-x.x.x.jar) on your class path. Available from Downloads. See below. x.x.x represents the GINT version. For example, version 2.3.0 is used below.

Windows

See the Groovy install instructions. Some releases supported a Windows-installer. The installer includes Groovy extensions like GANT. This is the easiest way to install both Groovy and GANT (smile).

In order for Windows users to take advantage of the file compare support provided as part of Feature - Automatic Comparisons, a suitable diff program needs to be installed. DiffUtils only takes a few minutes to download and install the binary package.

GINT jar access

GINT test scripts need access to the GINT jar in order to run. There are a number of techniques that can be used depending on your situation. Most of these assume you have downloaded the most recent jar file to a convenient location.

Choose one of these methods for your situation. 5 is recommended.

  1. Modify your CLASSPATH environment variable to include the GINT jar file. Either do this globally using system specific techniques or locally after opening a shell window that will be used for running GINT scripts. For instance, on Windows:

    set CLASSPATH=<mydir>/gint-2.3.0.jar;%CLASSPATH%
    


  2. Add --classpath to the gant script call

    gant --classpath <mydir>/gint-2.3.0.jar -f myscript.gant
    


  3. Add GINT jar to your ~/.groovy/lib directory (create if it doesn't exist). Groovy and GANT will load jars found in this directory by default. ~ refers to the user home directory.
  4. Add GINT jar to another directory of your choice and modify <GROOVY_HOME>/conf/gant-starter.conf to point to it.
  5. Grab the GINT jar in your test script using Grapes


 Normally not necessary, but, if you need to install the jar file into your local Maven repository:

  1. Download the jar file
  2. Use something like the following where use substitute x.x.x for the version of the jar file you downloaded:
mvn install:install-file -Dfile=gint-x.x.x.jar -DgroupId=org.swift.tools -DartifactId=gint -Dversion=x.x.x -Dpackaging=jar